package com.miaxis.app.coach.domain;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 教练对象 coach_info
 *
 * @author miaxis
 * @date 2021-01-07
 */
@Data
@TableName("coach_info")
@ApiModel(value = "CoachInfo", description = "教练对象 coach_info")
public class CoachInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 教练员全国统一编号 */
    @TableId(value = "coachnum")
    @ApiModelProperty(value = "教练员全国统一编号")
    private String coachnum;

    /** 教练员性名 */
    @Excel(name = "教练员性名")
    @TableField("name")
    @ApiModelProperty(value = "教练员性名")
    private String name;

    /** 性别 ：1男  2女 */
    @Excel(name = "性别 ：1男  2女")
    @TableField("sex")
    @ApiModelProperty(value = "性别 ：1男  2女")
    private Long sex;

    /** 驾校全国统一编号 */
    @Excel(name = "驾校全国统一编号")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 身份证明号码 */
    @Excel(name = "身份证明号码")
    @TableField("idcard")
    @ApiModelProperty(value = "身份证明号码")
    private String idcard;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("mobile")
    @ApiModelProperty(value = "手机号码")
    private String mobile;

    /** 地址 */
    @Excel(name = "地址")
    @TableField("address")
    @ApiModelProperty(value = "地址")
    private String address;

    /** 教练员头像ID */
    @Excel(name = "教练员头像ID")
    @TableField("photo")
    @ApiModelProperty(value = "教练员头像ID")
    private Long photo;

    /** 准驾车型 */
    @Excel(name = "准驾车型")
    @TableField("dripermitted")
    @ApiModelProperty(value = "准驾车型")
    private String dripermitted;

    /** 准教车型 */
    @Excel(name = "准教车型")
    @TableField("teachpermitted")
    @ApiModelProperty(value = "准教车型")
    private String teachpermitted;

    /** 地区编号 */
    @Excel(name = "地区编号")
    @TableField("district")
    @ApiModelProperty(value = "地区编号")
    private String district;

    /** 供职状态：0:在职 1离职*/
    @Excel(name = "供职状态：0:在职 1离职")
    @TableField("employstatus")
    @ApiModelProperty(value = "供职状态：0:在职 1离职")
    private Long employstatus;
    /** 停训 1-停训 0-启用 */
    @Excel(name = "停训 1-停训 0-启用")
    @TableField("stop_train")
    @ApiModelProperty(value = "停训 1-停训 0-启用")
    private Long stopTrain;

    /** 微信号 */
    @Excel(name = "微信号")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号")
    private String wechar;

    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 点赞数 */
    @Excel(name = "点赞数")
    @TableField("fabulous")
    @ApiModelProperty(value = "点赞数")
    private Long fabulous;

    public void setCoachnum(String coachnum){
        this.coachnum = coachnum;
    }

    public String getCoachnum(){
        return coachnum;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setSex(Long sex){
        this.sex = sex;
    }

    public Long getSex(){
        return sex;
    }
    public void setInscode(String inscode){
        this.inscode = inscode;
    }

    public String getInscode(){
        return inscode;
    }
    public void setIdcard(String idcard){
        this.idcard = idcard;
    }

    public String getIdcard(){
        return idcard;
    }
    public void setMobile(String mobile){
        this.mobile = mobile;
    }

    public String getMobile(){
        return mobile;
    }
    public void setAddress(String address){
        this.address = address;
    }

    public String getAddress(){
        return address;
    }
    public void setPhoto(Long photo){
        this.photo = photo;
    }

    public Long getPhoto(){
        return photo;
    }
    public void setDripermitted(String dripermitted){
        this.dripermitted = dripermitted;
    }

    public String getDripermitted(){
        return dripermitted;
    }
    public void setTeachpermitted(String teachpermitted){
        this.teachpermitted = teachpermitted;
    }

    public String getTeachpermitted(){
        return teachpermitted;
    }
    public void setDistrict(String district){
        this.district = district;
    }

    public String getDistrict(){
        return district;
    }
    public void setEmploystatus(Long employstatus){
        this.employstatus = employstatus;
    }

    public Long getEmploystatus(){
        return employstatus;
    }
    public void setStopTrain(Long stopTrain){
        this.stopTrain = stopTrain;
    }

    public Long getStopTrain(){
        return stopTrain;
    }
    public void setWechar(String wechar){
        this.wechar = wechar;
    }

    public String getWechar(){
        return wechar;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setFabulous(Long fabulous){
        this.fabulous = fabulous;
    }

    public Long getFabulous(){
        return fabulous;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("coachnum", getCoachnum())
            .append("name", getName())
            .append("sex", getSex())
            .append("inscode", getInscode())
            .append("idcard", getIdcard())
            .append("mobile", getMobile())
            .append("address", getAddress())
            .append("photo", getPhoto())
            .append("dripermitted", getDripermitted())
            .append("teachpermitted", getTeachpermitted())
            .append("district", getDistrict())
            .append("employstatus", getEmploystatus())
            .append("stopTrain", getStopTrain())
            .append("wechar", getWechar())
            .append("openid", getOpenid())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("fabulous", getFabulous())
            .toString();
    }
}
